# empty-debuginfo-package
%define debug_package %{nil}

Summary:	Interactive function grapher
Name:		mathplot
Version:	0.8.6
Release:	%mkrel 6
License:	GPLv3+
Group:		Sciences/Mathematics
URL:		http://rigaux.org/mathplot.html
Source0:	http://rigaux.org/%{name}-%{version}.src.tar.lzma
# https://www.transifex.com/Magic/mathplot/language/en
Source1:	%{name}.desktop
# https://www.transifex.com/Magic/mathplot
Source2:	%{name}-i18n-%{version}.tar.gz
Patch0:		%{name}-%{version}-mga-deprecated-operators.patch
Patch1:		%{name}-%{version}-mga-mark-translatable.patch
Requires:	tk
Requires:	tcl
BuildRequires:	ocaml >= 3.00
BuildRequires:	ocaml-labltk-devel
BuildRequires:	pkgconfig(x11)
BuildRequires:	imagemagick
BuildRequires:	pkgconfig(ncurses)
BuildRequires:	ocaml-findlib-devel
BuildRequires:	tk
BuildRequires:	pkgconfig(tk)
BuildRequires:	tcl
BuildRequires:	pkgconfig(tcl)
BuildRequires:	ocaml-simple_gettext-devel

%description
mathplot is a GUI frontend for interactive graphing of functions.
mathplot2ps is a batch program to generate PostScript output.

You can have both equations (y=f(x) or f(x,y)=g(x)) and inequations.
For inequations, mathplot hatches the intersection. For example, with
y>0, y<x and x<2 it hatches the solution which is a triangle. You can
name a point, anywhere or on a function. You can ask for the tangent
of a function. As it uses a symbolic library, you can enter functions
like "x+1/y=2". Can find root (zeros), extrema (even symbolically,
sometimes) and intersection of two functions. mathplot exports in
PostScript so that you can print easily, and with the reference mark
(O, i, j). You can save and load files. mathplot2ps can transform
these files into PostScript.
It's written in OCaml using the Tk toolkit for the GUI frontend.

%prep
%setup -q -n %{name}
%autopatch -p1
# fix file-not-utf8
iconv -f ISO-8859-15 -t UTF-8 -o CHANGES.new CHANGES
mv CHANGES.new CHANGES
iconv -f ISO-8859-15 -t UTF-8 -o docs/%{name}.1.in.new docs/%{name}.1.in
mv docs/%{name}.1.in.new docs/%{name}.1.in
iconv -f ISO-8859-15 -t UTF-8 -o docs/%{name}-es.1.in.new docs/%{name}-es.1.in
mv docs/%{name}-es.1.in.new docs/%{name}-es.1.in
tar -xf %{SOURCE2}

%build
export CFLAGS="%{optflags}"

make prefix=%{_prefix}

%install
%make_install prefix=%{_prefix}

rm -rf %{buildroot}%{_docdir}

install -d %{buildroot}%{_iconsdir}/hicolor/{16x16,32x32,48x48}/apps
convert icons/%{name}-icon.gif %{buildroot}%{_iconsdir}/hicolor/32x32/apps/%{name}.png
convert icons/%{name}-icon-large.gif %{buildroot}%{_iconsdir}/hicolor/48x48/apps/%{name}.png
convert icons/%{name}-icon-mini.gif %{buildroot}%{_iconsdir}/hicolor/16x16/apps/%{name}.png

mkdir -p %{buildroot}%{_datadir}/applications
install -m 644 %{SOURCE1} %{buildroot}%{_datadir}/applications/

%find_lang %{name}

%files -f %{name}.lang
%doc CHANGES README docs/TODO docs/BUGS
%{_bindir}/*
%{_datadir}/%{name}*
%lang(es) %{_mandir}/es/*/*
%{_mandir}/man*/*
%{_datadir}/applications/*
%{_iconsdir}/hicolor/*/apps/%{name}.png


%changelog
* Sat Jan 14 2017 alexl <alexl> 0.8.6-6.mga6
+ Revision: 1081609
- update langs from transifex

* Fri Mar 11 2016 daviddavid <daviddavid> 0.8.6-5.mga6
+ Revision: 989010
- rebuild against current ocaml stack
- fix BR ocaml-labltk-devel

* Wed Dec 30 2015 alexl <alexl> 0.8.6-4.mga6
+ Revision: 916918
- update translations from tx
- s/patch/autopatch/
- s/makeinstall_std/make_install/

* Mon Oct 05 2015 daviddavid <daviddavid> 0.8.6-3.mga6
+ Revision: 886338
- rebuild for new tcl/tk 8.6.4

* Tue Sep 29 2015 alexl <alexl> 0.8.6-2.mga6
+ Revision: 884918
- return localization (fixed in r884911 for ocaml-simple_gettext)
- update translations from transifex
- mark several strings as translatable
- build with Spanish man page with fixed encoding

* Mon Jan 19 2015 alexl <alexl> 0.8.6-1.mga5
+ Revision: 811524
- don't build debug package, because of empty
- new desktop file with translations
- fix deprecated operators
- build without i18n support, because of broken building with ocaml-simple_gettext
- fix not utf8 files
- cleanup spec

  + dmorgan <dmorgan>
    - Fix buildrequires
    - imported package mathplot


* Sat Dec 06 2008 Adam Williamson <awilliamson@mandriva.com> 0.8.6-4mdv2009.1
+ Revision: 310972
- rebuild for new tcl
- a few cleanups

* Mon Jul 28 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.8.6-3mdv2009.0
+ Revision: 252061
- rebuild
- fix no-buildroot-tag

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas
    - update URL
    - 0.8.6: switch to GPLv3+

* Sat Jan 12 2008 Adam Williamson <awilliamson@mandriva.com> 0.8.5-5mdv2008.1
+ Revision: 149661
- new license policy
- rebuild for new tcl/tk
- buildrequires ocaml-simplet_gettext-devel
- fd.o icons
- reformat the inexplicably justified description
- spec clean

  + Thierry Vignaud <tvignaud@mandriva.com>
    - drop old menu
    - kill re-definition of %%buildroot on Pixel's request
    - buildrequires X11-devel instead of XFree86-devel
    - kill desktop-file-validate's 'warning: key "Encoding" in group "Desktop Entry" is deprecated'


* Mon Aug 28 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com>
+ 2006-08-28 14:38:25 (58313)
- fix summary macro used in menu
- cosmetics

* Mon Aug 28 2006 Pixel <pixel@mandriva.com>
+ 2006-08-28 11:08:09 (58272)
- Import mathplot

* Fri Jul 07 2006 Pixel <pixel@mandriva.com> 0.8.5-3mdv2007.0
- explictly require tk & tcl
- switch to XDG menu

* Mon Jan 02 2006 Oden Eriksson <oeriksson@mandriva.com> 0.8.5-2mdk
- rebuilt against soname aware deps (tcl/tk)
- fix deps

* Tue Nov 08 2005 Pixel <pixel@mandriva.com> 0.8.5-1mdk
- new version

* Tue Nov 09 2004 Pixel <pixel@mandrakesoft.com> 0.8.4-1mdk 
- new release
- drop versioned-tcl patch now unneeded
- requires findlib
- i18n

* Thu Oct 02 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.8.3-5mdk
- lib64 fixes

* Mon Sep 08 2003 Pixel <pixel@mandrakesoft.com> 0.8.3-4mdk
- remove french description 
  (which was not in utf8 and it is not the good way to have it in .spec)

